Welcome to the forum, Guest

TOPIC: Tried a rebuild of the 9.0 beta1 from the OBS

Tried a rebuild of the 9.0 beta1 from the OBS 4 years 3 weeks ago #3414

stevepusser

Offline

Fresh Boarder

Posts: 6

Thank you received: 1

Karma: 0

It looks like it now needs a version of Qt 5 > 5.3, since it fails with Debian Jessie's with a Qt-related error and succeeds in Stretch.

I also used the rpl (replace) tool to fix English misspelling in both text and code strings before the build to see what would happen. I needed to then change the names of a few png files in the source to match the fixed spellings, but it builds and works fine. The strings I changed were

asign to assign

genere to genre

colapse to collapse

cotain to contain

librarires to libraries

selectec to selected

Generelle to General

Hope the changes can be made to the upstream code!
Last Edit: 4 years 3 weeks ago by stevepusser.
The administrator has disabled public write access.
The following user(s) said Thank You: selmf

Tried a rebuild of the 9.0 beta1 from the OBS 4 years 3 weeks ago #3416

selmf

Offline

Developer

Posts: 608

Thank you received: 130

Karma: 17

Hi Steve,

thanks for taking the time to write a bugreport. We'll remove those typos before the 9.0.0 release.

If you compile YACReader with Qt 5.3 it uses a legacy version of our coverflow code. During the development of 9.0.0 we received some patches for the coverflow (manga mode, quick navigation mode), but we forgot about the legacy code, so the build is broken. The backport shouldn't be too complicated, so we should be able to fix the build for Debian Jessie.

Best regards,

selmf
My answers are not necessarily official YACReader statements but mostly represent my own opinion in technical matters.
The administrator has disabled public write access.
The following user(s) said Thank You: stevepusser

Tried a rebuild of the 9.0 beta1 from the OBS 4 years 3 weeks ago #3435

stevepusser

Offline

Fresh Boarder

Posts: 6

Thank you received: 1

Karma: 0

Thanks for the reply!
The administrator has disabled public write access.

Tried a rebuild of the 9.0 beta1 from the OBS 4 years 3 weeks ago #3436

selmf

Offline

Developer

Posts: 608

Thank you received: 130

Karma: 17

No problem. There's one problem though. Some of these type errors go as deep as the library database model and I can't fix them without breaking compatibility. I will fix the strings in the user interface, but the database needs to wait until the version after 9.0.0. Since you fixed the typos with replace that could mean your users might encounter troubles with incompatible libraries …
My answers are not necessarily official YACReader statements but mostly represent my own opinion in technical matters.
The administrator has disabled public write access.

Tried a rebuild of the 9.0 beta1 from the OBS 4 years 3 weeks ago #3437

stevepusser

Offline

Fresh Boarder

Posts: 6

Thank you received: 1

Karma: 0

OK...it's in a test repo anyway, so they can always revert to the 0.8.5 version. And the text strings are all the users will see, anyway, so those are the important fixes. I did some light testing of my build and it didn't break, though.
The administrator has disabled public write access.

Tried a rebuild of the 9.0 beta1 from the OBS 3 years 10 months ago #3566

selmf

Offline

Developer

Posts: 608

Thank you received: 130

Karma: 17

A release candidate is available on the OBS now, same place as the beta. Spelling errors should be gone and builds with Qt 5.3 are working again.
My answers are not necessarily official YACReader statements but mostly represent my own opinion in technical matters.
The administrator has disabled public write access.
Powered by Kunena Forum